package pipe.gui;

import java.awt.event.MouseEvent;

import javax.swing.event.MouseInputAdapter;

import pipe.dataLayer.Transition;

public class AnimationHandler extends MouseInputAdapter {
  public void mouseClicked(MouseEvent e){
    Transition transition = (Transition)e.getComponent();
    if(transition.isEnabled(true)) {
      CreateGui.getAnimator().fireTransition(transition);
    }
  }
}
